## vpnc 0.5.3+git20210125

=== Makefile ===
# Makefile for an IPSec VPN client compatible with Cisco equipment.
# Copyright (C) 2002  Geoffrey Keating
# Copyright (C) 2003-2004 Maurice Massar
# Copyright (C) 2006-2007 Dan Villiom Podlaski Christiansen
# Copyright (C) 2017-2020 Davide Pucci

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# $Id$

DESTDIR=
PREFIX=/usr/local
ETCDIR=/etc/vpnc
BINDIR=$(PREFIX)/bin
SBINDIR=$(PREFIX)/sbin
MANDIR=$(PREFIX)/share/man
DOCDIR=$(PREFIX)/share/doc/vpnc
LICENSEDIR=$(PREFIX)/share/licenses/vpnc
SYSTEMDDIR=$(PREFIX)/lib/systemd/system

# The license of vpnc (Gpl >= 2) is quite likely incompatible with the
# openssl license. Openssl is one possible library used to provide certificate
# support for vpnc (hybrid only).
# While it is OK for users to build their own binaries linking in openssl
# with vpnc and even providing dynamically linked binaries it is probably
# not OK to provide the binaries inside a distribution.
# See http://www.gnome.org/~markmc/openssl-and-the-gpl.html for further
# details.
# Some distributions like Suse and Fedora seem to think otherwise.

# Comment this in to obtain a binary with certificate support which is
# GPL incompliant though.
#OPENSSL_GPL_VIOLATION=yes

CRYPTO_LDADD = $(shell pkg-config --libs gnutls)
CRYPTO_CFLAGS = $(shell pkg-config --cflags gnutls) -DCRYPTO_GNUTLS
CRYPTO_SRCS = src/crypto-gnutls.c

ifeq ($(OPENSSL_GPL_VIOLATION), yes)
CRYPTO_LDADD = -lcrypto
CRYPTO_CFLAGS = -DOPENSSL_GPL_VIOLATION -DCRYPTO_OPENSSL
CRYPTO_SRCS = src/crypto-openssl.c
endif

SRCS = src/sysdep.c src/vpnc-debug.c src/isakmp-pkt.c src/tunip.c src/config.c src/dh.c src/math_group.c src/supp.c src/decrypt-utils.c src/crypto.c $(CRYPTO_SRCS)
BINS = vpnc cisco-decrypt test-crypto
OBJS = $(addsuffix .o,$(basename $(SRCS)))
CRYPTO_OBJS = $(addsuffix .o,$(basename $(CRYPTO_SRCS)))
BINOBJS = $(addsuffix .o,$(BINS))
BINSRCS = $(addsuffix .c,$(BINS))
SCRIPT_PATH := /etc/vpnc/vpnc-script

ROOT_DIR := $(shell dirname $(realpath $(firstword $(MAKEFILE_LIST))))
BUILDDIR := $(ROOT_DIR)/bin
export BUILDDIR

VERSION := 0.5.3
export VERSION

CC ?= gcc
CFLAGS ?= -O3 -g
CFLAGS += -W -Wall -Wmissing-declarations -Wwrite-strings
CFLAGS +=  $(shell libgcrypt-config --cflags) $(CRYPTO_CFLAGS)
CPPFLAGS += -DVERSION=\"$(VERSION)\" -DSCRIPT_PATH=\"$(SCRIPT_PATH)\"
LDFLAGS ?= -g
LIBS += $(shell libgcrypt-config --libs) $(CRYPTO_LDADD)

ifeq ($(shell uname -s), SunOS)
LIBS += -lnsl -lresolv -lsocket
endif
ifneq (,$(findstring Apple,$(shell $(CC) --version)))
# enabled in FSF GCC, disabled by default in Apple GCC
CFLAGS += -fstrict-aliasing -freorder-blocks -fsched-interblock
endif

all: $(BUILDDIR) $(BINS) vpnc.8

$(BUILDDIR):
	@mkdir $@

vpnc: $(OBJS) src/vpnc.o
	$(CC) $(LDFLAGS) -o $(BUILDDIR)/$@ $^ $(LIBS)

vpnc.8: src/vpnc.8.template src/makeman.pl vpnc
	./src/makeman.pl $(BUILDDIR)/vpnc

cisco-decrypt: src/cisco-decrypt.o src/decrypt-utils.o
	$(CC) $(LDFLAGS) -o $(BUILDDIR)/$@ $^ $(LIBS)

test-crypto: src/sysdep.o src/test-crypto.o src/crypto.o $(CRYPTO_OBJS)
	$(CC) $(LDFLAGS) -o $(BUILDDIR)/$@ $^ $(LIBS)

.depend: $(SRCS) $(BINSRCS)
	$(CC) -MM $(SRCS) $(BINSRCS) $(CFLAGS) $(CPPFLAGS) > $@

src/vpnc-debug.c src/vpnc-debug.h: src/isakmp.h src/enum2debug.pl
	cd src && LC_ALL=C perl -w ./enum2debug.pl isakmp.h >vpnc-debug.c 2>vpnc-debug.h

vpnc.ps: src/vpnc.c
	enscript -E -G -T 4 --word-wrap -o- $^ | psnup -2 /dev/stdin $@

etags:
	etags *.[ch]

ctags:
	ctags *.[ch]

test: all
	$(BUILDDIR)/test-crypto src/test/sig_data.bin src/test/dec_data.bin src/test/ca_list.pem \
		src/test/cert3.pem src/test/cert2.pem src/test/cert1.pem src/test/cert0.pem

dist: vpnc.8

clean:
	-rm -rf $(OBJS) $(BINOBJS) $(BUILDDIR) tags src/cisco-decrypt.o  src/test-crypto.o  src/vpnc.o

distclean: clean
	-rm -f src/vpnc-debug.c src/vpnc-debug.h src/vpnc.ps src/vpnc.8 src/.depend

install-common: all
	install -d $(DESTDIR)$(ETCDIR) $(DESTDIR)$(BINDIR) $(DESTDIR)$(SBINDIR) $(DESTDIR)$(MANDIR)/man1 $(DESTDIR)$(MANDIR)/man8 $(DESTDIR)$(DOCDIR) $(DESTDIR)$(LICENSEDIR)
	install -m600 src/vpnc.conf $(DESTDIR)$(ETCDIR)/default.conf
	install -m755 src/vpnc-disconnect $(DESTDIR)$(SBINDIR)
	install -m755 src/pcf2vpnc $(DESTDIR)$(BINDIR)
	install -m644 src/vpnc.8 $(DESTDIR)$(MANDIR)/man8
	install -m644 src/pcf2vpnc.1 $(DESTDIR)$(MANDIR)/man1
	install -m644 src/cisco-decrypt.1 $(DESTDIR)$(MANDIR)/man1
	install -m644 src/vpnc@.service -t $(DESTDIR)$(SYSTEMDDIR)
	install -m644 LICENSE $(DESTDIR)$(LICENSEDIR)

install-doc:
	git submodule update --init src/doc
	install -m644 src/doc/*.md $(DESTDIR)$(DOCDIR)
	rm -f $(DESTDIR)$(DOCDIR)/Home.md

install: install-common install-doc
	install -m755 $(BUILDDIR)/vpnc $(DESTDIR)$(SBINDIR)
	install -m755 $(BUILDDIR)/cisco-decrypt $(DESTDIR)$(BINDIR)

install-strip: install-common
	install -s -m755 $(BUILDDIR)/vpnc $(DESTDIR)$(SBINDIR)
	install -s -m755 $(BUILDDIR)/cisco-decrypt $(DESTDIR)$(BINDIR)

uninstall:
	rm -f $(DESTDIR)$(SBINDIR)/vpnc \
		$(DESTDIR)$(SBINDIR)/vpnc-disconnect \
		$(DESTDIR)$(BINDIR)/pcf2vpnc \
		$(DESTDIR)$(BINDIR)/cisco-decrypt \
		$(DESTDIR)$(MANDIR)/man1/cisco-decrypt.1 \
		$(DESTDIR)$(MANDIR)/man1/pcf2vpnc \
		$(DESTDIR)$(MANDIR)/man8/vpnc.8
	@echo NOTE: remove $(DESTDIR)$(ETCDIR) manually

.PHONY: clean distclean dist all install install-strip uninstall

#
-include .depend

=== debian/control ===
Source: vpnc
Section: net
Priority: optional
Maintainer: Florian Schlichting <fsfs@debian.org>
Build-Depends: debhelper-compat (= 13),
 libgcrypt20-dev,
 libgnutls28-dev,
 pkg-config,
 vpnc:native <cross>
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/debian/vpnc
Vcs-Git: https://salsa.debian.org/debian/vpnc.git
Homepage: https://github.com/streambinder/vpnc
Rules-Requires-Root: no

Package: vpnc
Architecture: any
Suggests: resolvconf
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends},
 vpnc-scripts
Recommends: iproute2
Description: Cisco-compatible VPN client
 vpnc is a VPN client compatible with cisco3000 VPN Concentrator (also
 known as Cisco's EasyVPN equipment). vpnc runs entirely in userspace
 and does not require kernel modules except for the tun driver to
 communicate with the network layer.
 .
 It supports most of the features needed to establish connection to the
 VPN concentrator: MD5 and SHA1 hashes, 3DES and AES ciphers, PFS and
 various IKE DH group settings.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
include /usr/share/dpkg/architecture.mk
ifeq ($(origin CC),default)
CC = $(DEB_HOST_GNU_TYPE)-gcc
endif
export CC
export PKG_CONFIG=$(DEB_HOST_GNU_TYPE)-pkg-config
ifneq ($(filter cross,$(DEB_BUILD_PROFILES)),)
export VPNC = /usr/sbin/vpnc
endif

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- SCRIPT_PATH=/usr/share/vpnc-scripts/vpnc-script VERSION=$(DEB_VERSION)

override_dh_auto_install:
	touch install-doc
	dh_auto_install -- PREFIX=/usr SYSTEMDDIR=/lib/systemd/system install
	rm -rf ./debian/vpnc/usr/share/licenses

override_dh_fixperms:
	dh_fixperms
	chmod 700 ./debian/vpnc/etc/vpnc
	chmod 600 ./debian/vpnc/etc/vpnc/default.conf

=== debian/watch ===
version=3
http://www.unix-ag.uni-kl.de/~massar/vpnc/vpnc-(.*)\.tar\.gz

## vpnc 0.5.3+git20220503

=== Makefile ===
--- 
+++ 
@@ -44,8 +44,9 @@
 # GPL incompliant though.
 #OPENSSL_GPL_VIOLATION=yes
 
-CRYPTO_LDADD = $(shell pkg-config --libs gnutls)
-CRYPTO_CFLAGS = $(shell pkg-config --cflags gnutls) -DCRYPTO_GNUTLS
+PKG_CONFIG ?= pkg-config
+CRYPTO_LDADD = $(shell $(PKG_CONFIG) --libs gnutls)
+CRYPTO_CFLAGS = $(shell $(PKG_CONFIG) --cflags gnutls) -DCRYPTO_GNUTLS
 CRYPTO_SRCS = src/crypto-gnutls.c
 
 ifeq ($(OPENSSL_GPL_VIOLATION), yes)
@@ -72,10 +73,11 @@
 CC ?= gcc
 CFLAGS ?= -O3 -g
 CFLAGS += -W -Wall -Wmissing-declarations -Wwrite-strings
-CFLAGS +=  $(shell libgcrypt-config --cflags) $(CRYPTO_CFLAGS)
+CFLAGS +=  $(shell $(PKG_CONFIG) --cflags libgcrypt) $(CRYPTO_CFLAGS)
 CPPFLAGS += -DVERSION=\"$(VERSION)\" -DSCRIPT_PATH=\"$(SCRIPT_PATH)\"
 LDFLAGS ?= -g
-LIBS += $(shell libgcrypt-config --libs) $(CRYPTO_LDADD)
+LIBS += $(shell $(PKG_CONFIG) --libs libgcrypt) $(CRYPTO_LDADD)
+VPNC ?= $(BUILDDIR)/vpnc
 
 ifeq ($(shell uname -s), SunOS)
 LIBS += -lnsl -lresolv -lsocket
@@ -94,7 +96,7 @@
 	$(CC) $(LDFLAGS) -o $(BUILDDIR)/$@ $^ $(LIBS)
 
 vpnc.8: src/vpnc.8.template src/makeman.pl vpnc
-	./src/makeman.pl $(BUILDDIR)/vpnc
+	./src/makeman.pl $(VPNC)
 
 cisco-decrypt: src/cisco-decrypt.o src/decrypt-utils.o
 	$(CC) $(LDFLAGS) -o $(BUILDDIR)/$@ $^ $(LIBS)
@@ -130,7 +132,7 @@
 	-rm -f src/vpnc-debug.c src/vpnc-debug.h src/vpnc.ps src/vpnc.8 src/.depend
 
 install-common: all
-	install -d $(DESTDIR)$(ETCDIR) $(DESTDIR)$(BINDIR) $(DESTDIR)$(SBINDIR) $(DESTDIR)$(MANDIR)/man1 $(DESTDIR)$(MANDIR)/man8 $(DESTDIR)$(DOCDIR) $(DESTDIR)$(LICENSEDIR)
+	install -d $(DESTDIR)$(ETCDIR) $(DESTDIR)$(BINDIR) $(DESTDIR)$(SBINDIR) $(DESTDIR)$(MANDIR)/man1 $(DESTDIR)$(MANDIR)/man8 $(DESTDIR)$(DOCDIR) $(DESTDIR)$(SYSTEMDDIR) $(DESTDIR)$(LICENSEDIR)
 	install -m600 src/vpnc.conf $(DESTDIR)$(ETCDIR)/default.conf
 	install -m755 src/vpnc-disconnect $(DESTDIR)$(SBINDIR)
 	install -m755 src/pcf2vpnc $(DESTDIR)$(BINDIR)
@@ -140,8 +142,10 @@
 	install -m644 src/vpnc@.service -t $(DESTDIR)$(SYSTEMDDIR)
 	install -m644 LICENSE $(DESTDIR)$(LICENSEDIR)
 
-install-doc:
+src/doc:
 	git submodule update --init src/doc
+
+install-doc: src/doc
 	install -m644 src/doc/*.md $(DESTDIR)$(DOCDIR)
 	rm -f $(DESTDIR)$(DOCDIR)/Home.md

=== debian/changelog ===
vpnc (0.5.3+git20220503-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit, Repository, Repository-Browse.

  [ Florian Schlichting ]
  * Import new upstream version 0.5.3+git20220503 (closes: #1011047)
  * Update d/watch: point to streambinder repo, use mode=git
  * Update copyright years
  * Declare compliance with Debian Policy 4.6.1
  * Drop patches applied upstream
  * Add d/README.source about creating the upstream tarball

 -- Florian Schlichting <fsfs@debian.org>  Mon, 16 May 2022 22:21:20 +0800

vpnc (0.5.3+git20210125-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Repository.
  * Update standards version to 4.4.1, no changes needed.
  * Update standards version to 4.5.0, no changes needed.

  [ Florian Schlichting ]
  * Import new upstream version 0.5.3+git20210125 (closes: #935855, #954356)
  * Drop obsolete conffile migrations
  * Drop patches applied upstream and update cross.patch
  * Add create-systemddir.patch so we can install the systemd unit
  * Adjust Homepage and d/copyright for github upstream
  * Install docs from github wiki submodule
  * d/rules: inject Debian's paths package version
  * Add spelling.patch fixing typos found by lintian
  * Update upstream metadata, point to github
  * Bump dh compat to level 13
  * Declare compliance with Debian Policy 4.5.1
  * Add Rules-Requires-Root: no

 -- Florian Schlichting <fsfs@debian.org>  Mon, 25 Jan 2021 22:05:23 +0800

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  libgnutls28-dev,
  pkg-config,
  vpnc:native <cross>
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian/vpnc
 Vcs-Git: https://salsa.debian.org/debian/vpnc.git
 Homepage: https://github.com/streambinder/vpnc

## vpnc 0.5.3+git20220927

=== Makefile ===
--- 
+++ 
@@ -20,8 +20,7 @@
 #
 # $Id$
 
-DESTDIR=
-PREFIX=/usr/local
+PREFIX?=/usr/local
 ETCDIR=/etc/vpnc
 BINDIR=$(PREFIX)/bin
 SBINDIR=$(PREFIX)/sbin
@@ -45,11 +44,15 @@
 #OPENSSL_GPL_VIOLATION=yes
 
 PKG_CONFIG ?= pkg-config
+LIBGCRYPT_CONFIG ?= libgcrypt-config
+LIBGCRYPT_LDADD = $(shell $(PKG_CONFIG) --libs libgcrypt || $(LIBGCRYPT_CONFIG) --libs)
+LIBGCRYPT_CFLAGS = $(shell $(PKG_CONFIG) --cflags libgcrypt || $(LIBGCRYPT_CONFIG) --cflags)
+
+ifneq ($(OPENSSL_GPL_VIOLATION), yes)
 CRYPTO_LDADD = $(shell $(PKG_CONFIG) --libs gnutls)
 CRYPTO_CFLAGS = $(shell $(PKG_CONFIG) --cflags gnutls) -DCRYPTO_GNUTLS
 CRYPTO_SRCS = src/crypto-gnutls.c
-
-ifeq ($(OPENSSL_GPL_VIOLATION), yes)
+else
 CRYPTO_LDADD = -lcrypto
 CRYPTO_CFLAGS = -DOPENSSL_GPL_VIOLATION -DCRYPTO_OPENSSL
 CRYPTO_SRCS = src/crypto-openssl.c
@@ -73,10 +76,10 @@
 CC ?= gcc
 CFLAGS ?= -O3 -g
 CFLAGS += -W -Wall -Wmissing-declarations -Wwrite-strings
-CFLAGS +=  $(shell $(PKG_CONFIG) --cflags libgcrypt) $(CRYPTO_CFLAGS)
+CFLAGS += $(LIBGCRYPT_CFLAGS) $(CRYPTO_CFLAGS)
 CPPFLAGS += -DVERSION=\"$(VERSION)\" -DSCRIPT_PATH=\"$(SCRIPT_PATH)\"
 LDFLAGS ?= -g
-LIBS += $(shell $(PKG_CONFIG) --libs libgcrypt) $(CRYPTO_LDADD)
+LIBS += $(LIBGCRYPT_LDADD) $(CRYPTO_LDADD)
 VPNC ?= $(BUILDDIR)/vpnc
 
 ifeq ($(shell uname -s), SunOS)
@@ -132,7 +135,7 @@
 	-rm -f src/vpnc-debug.c src/vpnc-debug.h src/vpnc.ps src/vpnc.8 src/.depend
 
 install-common: all
-	install -d $(DESTDIR)$(ETCDIR) $(DESTDIR)$(BINDIR) $(DESTDIR)$(SBINDIR) $(DESTDIR)$(MANDIR)/man1 $(DESTDIR)$(MANDIR)/man8 $(DESTDIR)$(DOCDIR) $(DESTDIR)$(SYSTEMDDIR) $(DESTDIR)$(LICENSEDIR)
+	install -d $(DESTDIR)$(ETCDIR) $(DESTDIR)$(BINDIR) $(DESTDIR)$(SBINDIR) $(DESTDIR)$(MANDIR)/man1 $(DESTDIR)$(MANDIR)/man8 $(DESTDIR)$(SYSTEMDDIR) $(DESTDIR)$(LICENSEDIR)
 	install -m600 src/vpnc.conf $(DESTDIR)$(ETCDIR)/default.conf
 	install -m755 src/vpnc-disconnect $(DESTDIR)$(SBINDIR)
 	install -m755 src/pcf2vpnc $(DESTDIR)$(BINDIR)
@@ -146,6 +149,7 @@
 	git submodule update --init src/doc
 
 install-doc: src/doc
+	install -d $(DESTDIR)$(DOCDIR)
 	install -m644 src/doc/*.md $(DESTDIR)$(DOCDIR)
 	rm -f $(DESTDIR)$(DOCDIR)/Home.md

=== debian/changelog ===
vpnc (0.5.3+git20220927-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:29:59 +1100

vpnc (0.5.3+git20220927-1build1) noble; urgency=medium

  * No-change rebuild against libgnutls30t64.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 22 Mar 2024 10:49:00 +1300

vpnc (0.5.3+git20220927-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Update lintian override info to new format on line 2.

  [ Florian Schlichting ]
  * Import new upstream version 0.5.3+git20220927
  * Add d/source/options to ignore .github/ that is skipped when generating
    the tarball
  * Update the other lintian override to new format
  * Declare compliance with Debian Policy 4.6.2

 -- Florian Schlichting <fsfs@debian.org>  Tue, 27 Dec 2022 20:24:45 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: vpnc
 Section: net
 Priority: optional
-Maintainer: Florian Schlichting <fsfs@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Florian Schlichting <fsfs@debian.org>
 Build-Depends: debhelper-compat (= 13),
  libgcrypt20-dev,
  libgnutls28-dev,
  pkg-config,
  vpnc:native <cross>
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian/vpnc
 Vcs-Git: https://salsa.debian.org/debian/vpnc.git
 Homepage: https://github.com/streambinder/vpnc

## vpnc 0.5.3+git20240226

=== Makefile ===
--- 
+++ 
@@ -90,22 +90,22 @@
 CFLAGS += -fstrict-aliasing -freorder-blocks -fsched-interblock
 endif
 
-all: $(BUILDDIR) $(BINS) vpnc.8
+all: $(BUILDDIR) $(addprefix $(BUILDDIR)/,$(BINS)) src/vpnc.8
 
 $(BUILDDIR):
 	@mkdir $@
 
-vpnc: $(OBJS) src/vpnc.o
-	$(CC) $(LDFLAGS) -o $(BUILDDIR)/$@ $^ $(LIBS)
+$(BUILDDIR)/vpnc: $(OBJS) src/vpnc.o
+	$(CC) $(LDFLAGS) -o $@ $^ $(LIBS)
 
-vpnc.8: src/vpnc.8.template src/makeman.pl vpnc
+src/vpnc.8: src/vpnc.8.template src/makeman.pl $(VPNC)
 	./src/makeman.pl $(VPNC)
 
-cisco-decrypt: src/cisco-decrypt.o src/decrypt-utils.o
-	$(CC) $(LDFLAGS) -o $(BUILDDIR)/$@ $^ $(LIBS)
+$(BUILDDIR)/cisco-decrypt: src/cisco-decrypt.o src/decrypt-utils.o
+	$(CC) $(LDFLAGS) -o $@ $^ $(LIBS)
 
-test-crypto: src/sysdep.o src/test-crypto.o src/crypto.o $(CRYPTO_OBJS)
-	$(CC) $(LDFLAGS) -o $(BUILDDIR)/$@ $^ $(LIBS)
+$(BUILDDIR)/test-crypto: src/sysdep.o src/test-crypto.o src/crypto.o $(CRYPTO_OBJS)
+	$(CC) $(LDFLAGS) -o $@ $^ $(LIBS)
 
 .depend: $(SRCS) $(BINSRCS)
 	$(CC) -MM $(SRCS) $(BINSRCS) $(CFLAGS) $(CPPFLAGS) > $@
@@ -145,13 +145,10 @@
 	install -m644 src/vpnc@.service -t $(DESTDIR)$(SYSTEMDDIR)
 	install -m644 LICENSE $(DESTDIR)$(LICENSEDIR)
 
-src/doc:
-	git submodule update --init src/doc
-
-install-doc: src/doc
+install-doc:
 	install -d $(DESTDIR)$(DOCDIR)
-	install -m644 src/doc/*.md $(DESTDIR)$(DOCDIR)
-	rm -f $(DESTDIR)$(DOCDIR)/Home.md
+	install -m644 docs/*.md $(DESTDIR)$(DOCDIR)
+	rm -f $(DESTDIR)$(DOCDIR)/README.md
 
 install: install-common install-doc
 	install -m755 $(BUILDDIR)/vpnc $(DESTDIR)$(SBINDIR)

=== debian/changelog ===
vpnc (0.5.3+git20240226-2) unstable; urgency=medium

  * d/t/functions.d/ping.patterns:
    - Relax ping timing limits even more to run autopkgtest on ci.d.n reliably.

 -- Sven Geuer <debmaint@g-e-u-e-r.de>  Fri, 17 May 2024 14:30:21 +0200

vpnc (0.5.3+git20240226-1) unstable; urgency=medium

  * Import new upstream version 0.5.3+git20240226.
  * d/p/*:
    - Drop patches applied upstream by now.
  * d/t/functions.d/ping.patterns:
    - Relax ping timing limits to run autopkgtest on ci.d.n more reliably.

 -- Sven Geuer <debmaint@g-e-u-e-r.de>  Wed, 15 May 2024 17:23:39 +0200

vpnc (0.5.3+git20231109-1) unstable; urgency=medium

  * Import new upstream version 0.5.3+git20231109.
  * d/control:
    - Set the new maintainer and add myself as uploader (Closes: #818547).
    - Update Vcs-Browser and Vcs-Git.
    - Format fields Build-Depends and Depends with one line per entry.
  * d/vpnc.docs: Fetch upstream doc files from the updated location.
  * d/t/*: Introduce autopkgtests.
  * d/rules + d/vpnc@service: Let dh_installsystemd place the service file
    into the proper location.
  * d/rules: Remove explicit crossbuild measures nowadays covered by debhelper.
  * d/p/targets-in-subdirs.patch: Correct rules for some targets built in
    subdirectories.
  * d/README.source: Deleted, the content has become obsolete.
  * d/copyright:
    - Format Copyright fields in a more readable way.
    - Add some email addresses found on the net.
    - Bump years where required.
    - Add myself as a copyright holder regarding the debian/* files.
  * d/p/remove-copyright-holder-jolla.patch: Remove Jolla Ltd. as a copyright
    holder, no code has been contributed by them.
  * Introduce salsa-ci.yml.
  * Bump Standards-Version to 4.7.0.
  * Update Build-Depends: pkg-config -> pkgconf.
  * Add d/gbp.conf.

 -- Sven Geuer <debmaint@g-e-u-e-r.de>  Fri, 10 May 2024 08:54:54 +0200

=== debian/control ===
Source: vpnc
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Sven Geuer <debmaint@g-e-u-e-r.de>
Section: net
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libgcrypt20-dev,
               libgnutls28-dev,
               pkgconf,
               vpnc:native <cross>,
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/pkg-security-team/vpnc
Vcs-Git: https://salsa.debian.org/pkg-security-team/vpnc.git
Homepage: https://github.com/streambinder/vpnc
Rules-Requires-Root: no

Package: vpnc
Architecture: any
Suggests: resolvconf
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${perl:Depends},
         vpnc-scripts,
Recommends: iproute2
Description: Cisco-compatible VPN client
 vpnc is a VPN client compatible with cisco3000 VPN Concentrator (also
 known as Cisco's EasyVPN equipment). vpnc runs entirely in userspace
 and does not require kernel modules except for the tun driver to
 communicate with the network layer.
 .
 It supports most of the features needed to establish connection to the
 VPN concentrator: MD5 and SHA1 hashes, 3DES and AES ciphers, PFS and
 various IKE DH group settings.

## vpnc 0.5.3+git20241126

=== Makefile ===
--- 
+++ 
@@ -90,21 +90,21 @@
 CFLAGS += -fstrict-aliasing -freorder-blocks -fsched-interblock
 endif
 
-all: $(BUILDDIR) $(addprefix $(BUILDDIR)/,$(BINS)) src/vpnc.8
-
-$(BUILDDIR):
-	@mkdir $@
+all: $(addprefix $(BUILDDIR)/,$(BINS)) src/vpnc.8
 
 $(BUILDDIR)/vpnc: $(OBJS) src/vpnc.o
+	@mkdir -p $(BUILDDIR)
 	$(CC) $(LDFLAGS) -o $@ $^ $(LIBS)
 
 src/vpnc.8: src/vpnc.8.template src/makeman.pl $(VPNC)
 	./src/makeman.pl $(VPNC)
 
 $(BUILDDIR)/cisco-decrypt: src/cisco-decrypt.o src/decrypt-utils.o
+	@mkdir -p $(BUILDDIR)
 	$(CC) $(LDFLAGS) -o $@ $^ $(LIBS)
 
 $(BUILDDIR)/test-crypto: src/sysdep.o src/test-crypto.o src/crypto.o $(CRYPTO_OBJS)
+	@mkdir -p $(BUILDDIR)
 	$(CC) $(LDFLAGS) -o $@ $^ $(LIBS)
 
 .depend: $(SRCS) $(BINSRCS)

=== debian/changelog ===
vpnc (0.5.3+git20241126-1) unstable; urgency=medium

  * New upstream version 0.5.3+git20241126
  * d/control + d/copyright:
    - Update my email address to the d.o one.

 -- Sven Geuer <sge@debian.org>  Wed, 27 Nov 2024 15:23:58 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: vpnc
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
-Uploaders: Sven Geuer <debmaint@g-e-u-e-r.de>
+Uploaders: Sven Geuer <sge@debian.org>
 Section: net
 Priority: optional
 Build-Depends: debhelper-compat (= 13),

=== debian/tests/control ===
Tests: connect-to-server
Depends: @,
         strongswan,
         libcharon-extauth-plugins,
         iputils-ping,
Restrictions: needs-root,
              isolation-machine,

## vpnc 0.5.3+git20241220

=== src/test/Makefile ===
# Makefile to rebuild certificate chain for VPNC test.
# Copyright (C) 2013 Antonio Borneo

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

OPENSSL = openssl

CFG = openssl.cnf
TIME = -days 7120

# default targets empty.
all default clean:

# target to rebuild everything
rebuild: ca_list.pem cert3.pem sig_data.bin

ca1.key cert1.key:
	$(OPENSSL) genrsa -out $@ 4096

ca2.key ca3.key cert0.key cert2.key cert3.key:
	$(OPENSSL) genrsa -out $@ 2048

ca1.pem: ca1.key
ca2.pem: ca2.key
ca3.pem: ca3.key

ca%.pem: ca%.key
	$(OPENSSL) req -new -x509 -key $< -out $@ $(TIME) -batch -text \
		-subj "/OU=Root Certification Authority/CN="$@

ca_list.pem: ca1.pem ca2.pem ca3.pem
	cat $^ > $@

CHAIN_SIGN = $(OPENSSL) req -new -key $(2) -batch -subj "/OU=Cert/CN="$(1) \
	| $(OPENSSL) x509 -req $(TIME) -CA $(3) -CAkey $(4) -set_serial 01 \
		-out $(1) -text -extfile $(CFG) -extensions usr

cert0.pem: cert0.key ca3.pem ca3.key $(CFG)
	$(call CHAIN_SIGN,cert0.pem,cert0.key,ca3.pem,ca3.key)

cert1.pem: cert1.key cert0.pem cert0.key $(CFG)
	$(call CHAIN_SIGN,cert1.pem,cert1.key,cert0.pem,cert0.key)

cert2.pem: cert2.key cert1.pem cert1.key $(CFG)
	$(call CHAIN_SIGN,cert2.pem,cert2.key,cert1.pem,cert1.key)

cert3.pem: cert3.key cert2.pem cert2.key $(CFG)
	$(call CHAIN_SIGN,cert3.pem,cert3.key,cert2.pem,cert2.key)

$(CFG):
	echo -e '[ usr ]\nbasicConstraints=CA:TRUE' > $(CFG)

dec_data.bin:
	dd if=/dev/urandom of=$@ bs=256 count=1

sig_data.bin: dec_data.bin cert0.key
	$(OPENSSL) rsautl -decrypt -in $< -out $@ -inkey cert0.key -raw

clean_build:
	rm -f *.pem $(CFG) sig_data.bin

clean_key:
	rm -f *.key dec_data.bin

clean_all: clean_build clean_key

=== debian/changelog ===
vpnc (0.5.3+git20241220-2) unstable; urgency=medium

  * d/t/control: Adapt Depends to strongswan packaging >= 6.0.0-1
    (Closes: #1100835).

 -- Sven Geuer <sge@debian.org>  Wed, 19 Mar 2025 18:46:39 +0100

vpnc (0.5.3+git20241220-1) unstable; urgency=medium

  * New upstream version 0.5.3+git20241220
  * d/copyright: Bump copyright years.

 -- Sven Geuer <sge@debian.org>  Thu, 20 Feb 2025 23:03:05 +0100

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk
ifneq ($(filter cross,$(DEB_BUILD_PROFILES)),)
export VPNC = /usr/sbin/vpnc
endif

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- SCRIPT_PATH=/usr/share/vpnc-scripts/vpnc-script VERSION=$(DEB_VERSION)

override_dh_auto_install:
	touch install-doc
	dh_auto_install -- PREFIX=/usr
	rm -rf ./debian/vpnc/usr/share/licenses
	# Remove the systemd service directory and file. Dh_installsystemd installs
	# it automatically from the link in debian/ to the correct location
	# (/lib or /usr/lib).
	rm -rf ./debian/vpnc/usr/lib

override_dh_fixperms:
	dh_fixperms
	chmod 700 ./debian/vpnc/etc/vpnc
	chmod 600 ./debian/vpnc/etc/vpnc/default.conf

## vpnc 0.5.8-0m5

=== debian/changelog ===
vpnc (0.5.8-0m5) unstable; urgency=low

  * Maemo 5 Port

 -- Vitaly Repin <vitaly.repin@nokia.com>  Thu, 3 Dec 2009 16:15:00 +0200

=== debian/control ===
Source: vpnc
Section: user/communication
Priority: extra
Maintainer: Philipp Seidel <maemo@dinotools.de>
Build-Depends: debhelper (>= 4.0.0), libgcrypt11-dev, dpatch, libssl-dev, maemo-optify
Standards-Version: 3.8.0

Package: vpnc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: resolvconf, iproute
Description: Cisco-compatible VPN client
 vpnc is a VPN client compatible with cisco3000 VPN Concentrator (also
 known as Cisco's EasyVPN equipment). vpnc runs entirely in userspace
 and does not require kernel modules except of the tun driver to
 communicate with the network layer.
 .
 It supports most of the features needed to establish connection to the
 VPN concentrator: MD5 and SHA1 hashes, 3DES and AES ciphers, PFS and
 various IKE DH group settings.

## vpnc 0.5.9-1m5

=== debian/changelog ===
vpnc (0.5.9-1m5) unstable; urgency=low

  * Minor fix in postinst script.

 -- Vitaly Repin <vitaly.repin@nokia.com>  Mon, 01 Feb 2010 16:15:00 +0200

vpnc (0.5.9-0m5) unstable; urgency=low

  * Fix configuration script for PR1.1 and PR1.0-PR1.1 updates.

 -- Vitaly Repin <vitaly.repin@nokia.com>  Mon, 11 Jan 2010 16:15:00 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: vpnc
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, libicd-network-ipv4 (>= 0.22)
 Recommends: resolvconf, iproute
 Description: Cisco-compatible VPN client
  vpnc is a VPN client compatible with cisco3000 VPN Concentrator (also

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpatch/dpatch.make

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --sysconfdir=/etc

configure: configure-stamp

configure-stamp:
	dh_testdir
	#./autogen.sh
	#touch configure-stamp

build: build-stamp

build-stamp:  patch #config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/maemo-af-desktop-config.sgml > maemo-af-desktop-config.1

	touch build-stamp

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
#ifneq "$(wildcard /usr/share/misc/config.sub)" ""
#	cp -f /usr/share/misc/config.sub config.sub
#endif
#ifneq "$(wildcard /usr/share/misc/config.guess)" ""
#	cp -f /usr/share/misc/config.guess config.guess
#endif


	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/maemo-af-desktop-config.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/vpnc


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	maemo-optify
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## vpnc 0.5.9-1m6

=== debian/changelog ===
vpnc (0.5.9-1m6) unstable; urgency=low

  * Remove vpnc ifup script in debian/postrm.
  * Changed debian section to user/network.
  * Minor fix in postinst and postrm script.

 -- Vitaly Repin <vitaly.repin@nokia.com>  Thu, 22 Apr 2010 16:15:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: vpnc
-Section: user/communication
+Section: user/network
 Priority: extra
 Maintainer: Philipp Seidel <maemo@dinotools.de>
 Build-Depends: debhelper (>= 4.0.0), libgcrypt11-dev, dpatch, libssl-dev, maemo-optify
@@ -7,8 +7,10 @@
 
 Package: vpnc
 Architecture: any
+Section: user/network
 Depends: ${shlibs:Depends}, ${misc:Depends}, libicd-network-ipv4 (>= 0.22)
 Recommends: resolvconf, iproute
+XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=117
 Description: Cisco-compatible VPN client
  vpnc is a VPN client compatible with cisco3000 VPN Concentrator (also
  known as Cisco's EasyVPN equipment). vpnc runs entirely in userspace
